import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface AcmCertificateValidationConfig extends TerraformMetaArguments {
    readonly certificateArn: string;
    readonly validationRecordFqdns?: string[];
    /** timeouts block */
    readonly timeouts?: AcmCertificateValidationTimeouts;
}
export interface AcmCertificateValidationTimeouts {
    readonly create?: string;
}
export declare class AcmCertificateValidation extends TerraformResource {
    constructor(scope: Construct, id: string, config: AcmCertificateValidationConfig);
    private _certificateArn;
    get certificateArn(): string;
    set certificateArn(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _validationRecordFqdns?;
    get validationRecordFqdns(): string[] | undefined;
    set validationRecordFqdns(value: string[] | undefined);
    private _timeouts?;
    get timeouts(): AcmCertificateValidationTimeouts | undefined;
    set timeouts(value: AcmCertificateValidationTimeouts | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
