import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface Apigatewayv2DeploymentConfig extends TerraformMetaArguments {
    readonly apiId: string;
    readonly description?: string;
    readonly triggers?: {
        [key: string]: string;
    };
}
export declare class Apigatewayv2Deployment extends TerraformResource {
    constructor(scope: Construct, id: string, config: Apigatewayv2DeploymentConfig);
    private _apiId;
    get apiId(): string;
    set apiId(value: string);
    get autoDeployed(): boolean;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _triggers?;
    get triggers(): {
        [key: string]: string;
    } | undefined;
    set triggers(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
