import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface CurReportDefinitionConfig extends TerraformMetaArguments {
    readonly additionalArtifacts?: string[];
    readonly additionalSchemaElements: string[];
    readonly compression: string;
    readonly format: string;
    readonly reportName: string;
    readonly s3Bucket: string;
    readonly s3Prefix?: string;
    readonly s3Region: string;
    readonly timeUnit: string;
}
export declare class CurReportDefinition extends TerraformResource {
    constructor(scope: Construct, id: string, config: CurReportDefinitionConfig);
    private _additionalArtifacts?;
    get additionalArtifacts(): string[] | undefined;
    set additionalArtifacts(value: string[] | undefined);
    private _additionalSchemaElements;
    get additionalSchemaElements(): string[];
    set additionalSchemaElements(value: string[]);
    private _compression;
    get compression(): string;
    set compression(value: string);
    private _format;
    get format(): string;
    set format(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _reportName;
    get reportName(): string;
    set reportName(value: string);
    private _s3Bucket;
    get s3Bucket(): string;
    set s3Bucket(value: string);
    private _s3Prefix?;
    get s3Prefix(): string | undefined;
    set s3Prefix(value: string | undefined);
    private _s3Region;
    get s3Region(): string;
    set s3Region(value: string);
    private _timeUnit;
    get timeUnit(): string;
    set timeUnit(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
