import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsCloudfrontDistributionConfig extends TerraformMetaArguments {
    readonly id: string;
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class DataAwsCloudfrontDistribution extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsCloudfrontDistributionConfig);
    get arn(): string;
    get domainName(): string;
    get enabled(): boolean;
    get etag(): string;
    get hostedZoneId(): string;
    private _id;
    get id(): string;
    set id(value: string);
    get inProgressValidationBatches(): number;
    get lastModifiedTime(): string;
    get status(): string;
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
