import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsEc2LocalGatewayRouteTableConfig extends TerraformMetaArguments {
    readonly localGatewayId?: string;
    readonly localGatewayRouteTableId?: string;
    readonly outpostArn?: string;
    readonly state?: string;
    readonly tags?: {
        [key: string]: string;
    };
    /** filter block */
    readonly filter?: DataAwsEc2LocalGatewayRouteTableFilter[];
}
export interface DataAwsEc2LocalGatewayRouteTableFilter {
    readonly name: string;
    readonly values: string[];
}
export declare class DataAwsEc2LocalGatewayRouteTable extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsEc2LocalGatewayRouteTableConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _localGatewayId?;
    get localGatewayId(): string | undefined;
    set localGatewayId(value: string | undefined);
    private _localGatewayRouteTableId?;
    get localGatewayRouteTableId(): string | undefined;
    set localGatewayRouteTableId(value: string | undefined);
    private _outpostArn?;
    get outpostArn(): string | undefined;
    set outpostArn(value: string | undefined);
    private _state?;
    get state(): string | undefined;
    set state(value: string | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _filter?;
    get filter(): DataAwsEc2LocalGatewayRouteTableFilter[] | undefined;
    set filter(value: DataAwsEc2LocalGatewayRouteTableFilter[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
