import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsEcrImageConfig extends TerraformMetaArguments {
    readonly imageDigest?: string;
    readonly imageTag?: string;
    readonly registryId?: string;
    readonly repositoryName: string;
}
export declare class DataAwsEcrImage extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsEcrImageConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _imageDigest?;
    get imageDigest(): string | undefined;
    set imageDigest(value: string | undefined);
    get imagePushedAt(): number;
    get imageSizeInBytes(): number;
    private _imageTag?;
    get imageTag(): string | undefined;
    set imageTag(value: string | undefined);
    get imageTags(): string[];
    private _registryId?;
    get registryId(): string | undefined;
    set registryId(value: string | undefined);
    private _repositoryName;
    get repositoryName(): string;
    set repositoryName(value: string);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
