import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
import { ComplexComputedList } from "cdktf";
export interface DataAwsEcsClusterConfig extends TerraformMetaArguments {
    readonly clusterName: string;
}
export declare class DataAwsEcsClusterSetting extends ComplexComputedList {
    get name(): string;
    get value(): string;
}
export declare class DataAwsEcsCluster extends TerraformDataSource {
    constructor(scope: Construct, id: string, config: DataAwsEcsClusterConfig);
    get arn(): string;
    private _clusterName;
    get clusterName(): string;
    set clusterName(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get pendingTasksCount(): number;
    get registeredContainerInstancesCount(): number;
    get runningTasksCount(): number;
    setting(index: string): DataAwsEcsClusterSetting;
    get status(): string;
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
