import { Construct } from 'constructs';
import { TerraformDataSource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DataAwsIamServerCertificateConfig extends TerraformMetaArguments {
    readonly latest?: boolean;
    readonly name?: string;
    readonly namePrefix?: string;
    readonly pathPrefix?: string;
}
export declare class DataAwsIamServerCertificate extends TerraformDataSource {
    constructor(scope: Construct, id: string, config?: DataAwsIamServerCertificateConfig);
    get arn(): string;
    get certificateBody(): string;
    get certificateChain(): string;
    get expirationDate(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _latest?;
    get latest(): boolean | undefined;
    set latest(value: boolean | undefined);
    private _name?;
    get name(): string | undefined;
    set name(value: string | undefined);
    private _namePrefix?;
    get namePrefix(): string | undefined;
    set namePrefix(value: string | undefined);
    get path(): string;
    private _pathPrefix?;
    get pathPrefix(): string | undefined;
    set pathPrefix(value: string | undefined);
    get uploadDate(): string;
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
