import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface DmsCertificateConfig extends TerraformMetaArguments {
    readonly certificateId: string;
    readonly certificatePem?: string;
    readonly certificateWallet?: string;
}
export declare class DmsCertificate extends TerraformResource {
    constructor(scope: Construct, id: string, config: DmsCertificateConfig);
    get certificateArn(): string;
    private _certificateId;
    get certificateId(): string;
    set certificateId(value: string);
    private _certificatePem?;
    get certificatePem(): string | undefined;
    set certificatePem(value: string | undefined);
    private _certificateWallet?;
    get certificateWallet(): string | undefined;
    set certificateWallet(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
