import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface GuarddutyMemberConfig extends TerraformMetaArguments {
    readonly accountId: string;
    readonly detectorId: string;
    readonly disableEmailNotification?: boolean;
    readonly email: string;
    readonly invitationMessage?: string;
    readonly invite?: boolean;
    /** timeouts block */
    readonly timeouts?: GuarddutyMemberTimeouts;
}
export interface GuarddutyMemberTimeouts {
    readonly create?: string;
    readonly update?: string;
}
export declare class GuarddutyMember extends TerraformResource {
    constructor(scope: Construct, id: string, config: GuarddutyMemberConfig);
    private _accountId;
    get accountId(): string;
    set accountId(value: string);
    private _detectorId;
    get detectorId(): string;
    set detectorId(value: string);
    private _disableEmailNotification?;
    get disableEmailNotification(): boolean | undefined;
    set disableEmailNotification(value: boolean | undefined);
    private _email;
    get email(): string;
    set email(value: string);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _invitationMessage?;
    get invitationMessage(): string | undefined;
    set invitationMessage(value: string | undefined);
    private _invite?;
    get invite(): boolean | undefined;
    set invite(value: boolean | undefined);
    get relationshipStatus(): string;
    private _timeouts?;
    get timeouts(): GuarddutyMemberTimeouts | undefined;
    set timeouts(value: GuarddutyMemberTimeouts | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
