import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface LbSslNegotiationPolicyConfig extends TerraformMetaArguments {
    readonly lbPort: number;
    readonly loadBalancer: string;
    readonly name: string;
    /** attribute block */
    readonly attribute?: LbSslNegotiationPolicyAttribute[];
}
export interface LbSslNegotiationPolicyAttribute {
    readonly name: string;
    readonly value: string;
}
export declare class LbSslNegotiationPolicy extends TerraformResource {
    constructor(scope: Construct, id: string, config: LbSslNegotiationPolicyConfig);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _lbPort;
    get lbPort(): number;
    set lbPort(value: number);
    private _loadBalancer;
    get loadBalancer(): string;
    set loadBalancer(value: string);
    private _name;
    get name(): string;
    set name(value: string);
    private _attribute?;
    get attribute(): LbSslNegotiationPolicyAttribute[] | undefined;
    set attribute(value: LbSslNegotiationPolicyAttribute[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
