import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface NetworkAclRuleConfig extends TerraformMetaArguments {
    readonly cidrBlock?: string;
    readonly egress?: boolean;
    readonly fromPort?: number;
    readonly icmpCode?: string;
    readonly icmpType?: string;
    readonly ipv6CidrBlock?: string;
    readonly networkAclId: string;
    readonly protocol: string;
    readonly ruleAction: string;
    readonly ruleNumber: number;
    readonly toPort?: number;
}
export declare class NetworkAclRule extends TerraformResource {
    constructor(scope: Construct, id: string, config: NetworkAclRuleConfig);
    private _cidrBlock?;
    get cidrBlock(): string | undefined;
    set cidrBlock(value: string | undefined);
    private _egress?;
    get egress(): boolean | undefined;
    set egress(value: boolean | undefined);
    private _fromPort?;
    get fromPort(): number | undefined;
    set fromPort(value: number | undefined);
    private _icmpCode?;
    get icmpCode(): string | undefined;
    set icmpCode(value: string | undefined);
    private _icmpType?;
    get icmpType(): string | undefined;
    set icmpType(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _ipv6CidrBlock?;
    get ipv6CidrBlock(): string | undefined;
    set ipv6CidrBlock(value: string | undefined);
    private _networkAclId;
    get networkAclId(): string;
    set networkAclId(value: string);
    private _protocol;
    get protocol(): string;
    set protocol(value: string);
    private _ruleAction;
    get ruleAction(): string;
    set ruleAction(value: string);
    private _ruleNumber;
    get ruleNumber(): number;
    set ruleNumber(value: number);
    private _toPort?;
    get toPort(): number | undefined;
    set toPort(value: number | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
