import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface PinpointApnsChannelConfig extends TerraformMetaArguments {
    readonly applicationId: string;
    readonly bundleId?: string;
    readonly certificate?: string;
    readonly defaultAuthenticationMethod?: string;
    readonly enabled?: boolean;
    readonly privateKey?: string;
    readonly teamId?: string;
    readonly tokenKey?: string;
    readonly tokenKeyId?: string;
}
export declare class PinpointApnsChannel extends TerraformResource {
    constructor(scope: Construct, id: string, config: PinpointApnsChannelConfig);
    private _applicationId;
    get applicationId(): string;
    set applicationId(value: string);
    private _bundleId?;
    get bundleId(): string | undefined;
    set bundleId(value: string | undefined);
    private _certificate?;
    get certificate(): string | undefined;
    set certificate(value: string | undefined);
    private _defaultAuthenticationMethod?;
    get defaultAuthenticationMethod(): string | undefined;
    set defaultAuthenticationMethod(value: string | undefined);
    private _enabled?;
    get enabled(): boolean | undefined;
    set enabled(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _privateKey?;
    get privateKey(): string | undefined;
    set privateKey(value: string | undefined);
    private _teamId?;
    get teamId(): string | undefined;
    set teamId(value: string | undefined);
    private _tokenKey?;
    get tokenKey(): string | undefined;
    set tokenKey(value: string | undefined);
    private _tokenKeyId?;
    get tokenKeyId(): string | undefined;
    set tokenKeyId(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
