import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface RedshiftSnapshotScheduleConfig extends TerraformMetaArguments {
    readonly definitions: string[];
    readonly description?: string;
    readonly forceDestroy?: boolean;
    readonly identifier?: string;
    readonly identifierPrefix?: string;
    readonly tags?: {
        [key: string]: string;
    };
}
export declare class RedshiftSnapshotSchedule extends TerraformResource {
    constructor(scope: Construct, id: string, config: RedshiftSnapshotScheduleConfig);
    get arn(): string;
    private _definitions;
    get definitions(): string[];
    set definitions(value: string[]);
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _forceDestroy?;
    get forceDestroy(): boolean | undefined;
    set forceDestroy(value: boolean | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _identifier?;
    get identifier(): string | undefined;
    set identifier(value: string | undefined);
    private _identifierPrefix?;
    get identifierPrefix(): string | undefined;
    set identifierPrefix(value: string | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
