import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface VpnGatewayConfig extends TerraformMetaArguments {
    readonly amazonSideAsn?: string;
    readonly availabilityZone?: string;
    readonly tags?: {
        [key: string]: string;
    };
    readonly vpcId?: string;
}
export declare class VpnGateway extends TerraformResource {
    constructor(scope: Construct, id: string, config?: VpnGatewayConfig);
    private _amazonSideAsn?;
    get amazonSideAsn(): string | undefined;
    set amazonSideAsn(value: string | undefined);
    get arn(): string;
    private _availabilityZone?;
    get availabilityZone(): string | undefined;
    set availabilityZone(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _vpcId?;
    get vpcId(): string | undefined;
    set vpcId(value: string | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
