import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface WafSizeConstraintSetConfig extends TerraformMetaArguments {
    readonly name: string;
    /** size_constraints block */
    readonly sizeConstraints?: WafSizeConstraintSetSizeConstraints[];
}
export interface WafSizeConstraintSetSizeConstraintsFieldToMatch {
    readonly data?: string;
    readonly type: string;
}
export interface WafSizeConstraintSetSizeConstraints {
    readonly comparisonOperator: string;
    readonly size: number;
    readonly textTransformation: string;
    /** field_to_match block */
    readonly fieldToMatch: WafSizeConstraintSetSizeConstraintsFieldToMatch[];
}
export declare class WafSizeConstraintSet extends TerraformResource {
    constructor(scope: Construct, id: string, config: WafSizeConstraintSetConfig);
    get arn(): string;
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    private _name;
    get name(): string;
    set name(value: string);
    private _sizeConstraints?;
    get sizeConstraints(): WafSizeConstraintSetSizeConstraints[] | undefined;
    set sizeConstraints(value: WafSizeConstraintSetSizeConstraints[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
