import { Construct } from 'constructs';
import { TerraformResource } from 'cdktf';
import { TerraformMetaArguments } from 'cdktf';
export interface Wafv2RegexPatternSetConfig extends TerraformMetaArguments {
    readonly description?: string;
    readonly name: string;
    readonly scope: string;
    readonly tags?: {
        [key: string]: string;
    };
    /** regular_expression block */
    readonly regularExpression?: Wafv2RegexPatternSetRegularExpression[];
}
export interface Wafv2RegexPatternSetRegularExpression {
    readonly regexString: string;
}
export declare class Wafv2RegexPatternSet extends TerraformResource {
    constructor(scope: Construct, id: string, config: Wafv2RegexPatternSetConfig);
    get arn(): string;
    private _description?;
    get description(): string | undefined;
    set description(value: string | undefined);
    private _id?;
    get id(): string | undefined;
    set id(value: string | undefined);
    get lockToken(): string;
    private _name;
    get name(): string;
    set name(value: string);
    private _scope;
    get scope(): string;
    set scope(value: string);
    private _tags?;
    get tags(): {
        [key: string]: string;
    } | undefined;
    set tags(value: {
        [key: string]: string;
    } | undefined);
    private _regularExpression?;
    get regularExpression(): Wafv2RegexPatternSetRegularExpression[] | undefined;
    set regularExpression(value: Wafv2RegexPatternSetRegularExpression[] | undefined);
    synthesizeAttributes(): {
        [name: string]: any;
    };
}
